> ## Documentation Index
> Fetch the complete documentation index at: https://docs.horay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Info

> Retrieve user information including balance and status.



## OpenAPI

````yaml get /user/info
openapi: 3.0.0
info:
  title: Horay.ai API
  description: The Horay.ai REST API
  version: 1.0.0
  contact:
    name: Horay.ai Support
    url: https://www.horay.ai/
  license:
    name: MIT
    url: https://github.com/horayai/OpenAPI/blob/main/LICENSE.txt
servers:
  - url: https://api.horay.ai/v1
security:
  - bearerAuth: []
paths:
  /user/info:
    get:
      tags:
        - UserInfo
      summary: Get User Info
      description: Retrieve user information including balance and status.
      operationId: user-info
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 20000
                  message:
                    type: string
                    example: OK
                  status:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: userid
                      name:
                        type: string
                        example: username
                      image:
                        type: string
                        example: user_avatar_image_url
                      email:
                        type: string
                        example: user_email_address
                      isAdmin:
                        type: boolean
                        example: false
                      balance:
                        type: string
                        example: '0.88'
                      status:
                        type: string
                        example: normal
                      introduction:
                        type: string
                        example: user_introduction
                      role:
                        type: string
                        example: user_role
                      chargeBalance:
                        type: string
                        example: '88.00'
                      totalBalance:
                        type: string
                        example: '88.88'
        '400':
          description: BadRequest
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
        '404':
          description: NotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
        '429':
          description: RateLimit
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
        '503':
          description: Overloaded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
        '504':
          description: Timeout
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
      deprecated: false
components:
  schemas:
    StringData:
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````